netatalk: interface.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
interface.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | interface

## Macros
#define | IFACE_PHASE1 0x001
#define | IFACE_PHASE2 0x002
#define | IFACE_LOOPBACK 0x004
#define | IFACE_SEED 0x008
#define | IFACE_ADDR 0x010
#define | IFACE_CONFIG 0x020
#define | IFACE_NOROUTER 0x040
#define | IFACE_LOOP 0x080
#define | IFACE_RSEED 0x100
#define | IFACE_DONTROUTE 0x200
#define | IFACE_ISROUTER 0x400
#define | IFACE_ERROR 0x2000
#define | UNSTABLE 2
#define | STABLE 0
#define | STABLEANYWAY -2
#define | IFBASE 2
#define | LOOPIFACE "lo0"

## Functions
struct interface * | newiface (const char *)

## Variables
struct interface * | interfaces
struct interface * | ciface

## Macro Definition Documentation

## ◆ IFACE_ADDR

#define IFACE_ADDR 0x010

has an address set

## ◆ IFACE_CONFIG

#define IFACE_CONFIG 0x020

has been configured

## ◆ IFACE_DONTROUTE

#define IFACE_DONTROUTE 0x200

don't route this interface

## ◆ IFACE_ERROR

#define IFACE_ERROR 0x2000

sendto returned an error

## ◆ IFACE_ISROUTER

#define IFACE_ISROUTER 0x400

act as a router.

## ◆ IFACE_LOOP

#define IFACE_LOOP 0x080

has a loopback route

## ◆ IFACE_LOOPBACK

#define IFACE_LOOPBACK 0x004

is the loopback interface

## ◆ IFACE_NOROUTER

#define IFACE_NOROUTER 0x040

no router on interface

## ◆ IFACE_PHASE1

#define IFACE_PHASE1 0x001

## ◆ IFACE_PHASE2

#define IFACE_PHASE2 0x002

## ◆ IFACE_RSEED

#define IFACE_RSEED 0x100

almost the same as seed. RSEED says that we should try to do routing.

## ◆ IFACE_SEED

#define IFACE_SEED 0x008

act as seed

## ◆ IFBASE

#define IFBASE 2

base number of interfaces

## ◆ LOOPIFACE

#define LOOPIFACE "lo0"

## ◆ STABLE

#define STABLE 0

## ◆ STABLEANYWAY

#define STABLEANYWAY -2

## ◆ UNSTABLE

#define UNSTABLE 2

## Function Documentation

## ◆ newiface()

struct interface * newiface | ( | const char * | name | ) |

## Variable Documentation

## ◆ ciface

struct interface* ciface
| extern

## ◆ interfaces

struct interface* interfaces
| extern